[26134] in Source-Commits

home help back first fref pref prev next nref lref last post

/svn/athena r25414 - in trunk/athena/bin/sendbug: . debian

daemon@ATHENA.MIT.EDU (Alexander W Dehnert)
Thu Sep 29 19:20:02 2011

Date: Thu, 29 Sep 2011 19:19:56 -0400
From: Alexander W Dehnert <adehnert@MIT.EDU>
Message-Id: <201109292319.p8TNJuMP000424@drugstore.mit.edu>
To: source-commits@mit.edu
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit

Author: adehnert
Date: 2011-09-29 19:19:55 -0400 (Thu, 29 Sep 2011)
New Revision: 25414

Modified:
   trunk/athena/bin/sendbug/debian/changelog
   trunk/athena/bin/sendbug/debian/compat
   trunk/athena/bin/sendbug/sendbug.1
   trunk/athena/bin/sendbug/sendbug.sh
Log:
In sendbug:
  * Add a --help option. (http://diswww.mit.edu/menelaus/bugs/27568)
  * Fix the manpage to not reference MH.
  * Bump the compatibility level to 6.


Modified: trunk/athena/bin/sendbug/debian/changelog
===================================================================
--- trunk/athena/bin/sendbug/debian/changelog	2011-09-26 20:56:57 UTC (rev 25413)
+++ trunk/athena/bin/sendbug/debian/changelog	2011-09-29 23:19:55 UTC (rev 25414)
@@ -1,3 +1,11 @@
+debathena-sendbug (10.0.4-0debathena1) unstable; urgency=low
+
+  * Add a --help option. (http://diswww.mit.edu/menelaus/bugs/27568)
+  * Fix the manpage to not reference MH.
+  * Bump the compatibility level to 6.
+
+ -- Alex Dehnert <adehnert@mit.edu>  Thu, 29 Sep 2011 15:54:40 -0400
+
 debathena-sendbug (10.0.3-0debathena1) unstable; urgency=low
 
   * Debathena is no longer beta.

Modified: trunk/athena/bin/sendbug/debian/compat
===================================================================
--- trunk/athena/bin/sendbug/debian/compat	2011-09-26 20:56:57 UTC (rev 25413)
+++ trunk/athena/bin/sendbug/debian/compat	2011-09-29 23:19:55 UTC (rev 25414)
@@ -1 +1 @@
-4
+6

Modified: trunk/athena/bin/sendbug/sendbug.1
===================================================================
--- trunk/athena/bin/sendbug/sendbug.1	2011-09-26 20:56:57 UTC (rev 25413)
+++ trunk/athena/bin/sendbug/sendbug.1	2011-09-29 23:19:55 UTC (rev 25414)
@@ -16,13 +16,4 @@
 information already inserted.  The user is prompted for the name of
 the program the bug is in, unless it is given as a command line
 argument.  The user is then given the chance to edit the bug report
-with their default editor under the MH system.  Once filled out, it is sent
-to "bugs@MIT.EDU".
-
-.SH "SEE ALSO"
-comp(1)
-
-.SH BUGS
-The default editor specified by the EDITOR or VISUAL environment variable
-should be used, instead of the default editor under MH, which is controlled
-by a separate configuration file.
+with their default editor.  Once filled out, it is sent to "bugs@MIT.EDU".

Modified: trunk/athena/bin/sendbug/sendbug.sh
===================================================================
--- trunk/athena/bin/sendbug/sendbug.sh	2011-09-26 20:56:57 UTC (rev 25413)
+++ trunk/athena/bin/sendbug/sendbug.sh	2011-09-29 23:19:55 UTC (rev 25414)
@@ -2,11 +2,24 @@
 # $Id: sendbug.sh,v 1.21 2003-07-30 19:16:12 zacheiss Exp $
 
 visual=false
-if [ x--gnome = x"$1" ]; then
-  # This is how we are invoked from the panel menu
-  gnome=true
-  shift
-fi
+
+help () {
+    echo "Usage: $0 [program]"
+    echo "Assist a user in sending an accurate and useful bug report."
+}
+
+TEMP="$(getopt -n "$0" -o '' -l gnome,help -- "$@")" || exit $?
+eval set -- "$TEMP"
+
+while true; do
+    case "$1" in
+        # This is how we are invoked from the panel menu
+        --gnome) gnome=true; shift;;
+        --help) help; exit;;
+        --) shift; break;;
+    esac
+done
+
 subject=$1
 bugs_address=bugs@mit.edu
 sendmail="/usr/sbin/sendmail -t -oi"


home help back first fref pref prev next nref lref last post